#!/usr/bin/env bash
#ft=bash

# Disable capslock
if [[ -x $(which setxkbmap) ]] && [[ $(uname) == Linux ]]; then
    setxkbmap -option ctrl:nocaps
fi

# make less more friendly for non-text input files, see lesspipe(1)
if [ -x /usr/bin/lesspipe ]; then
    eval "$(SHELL=/bin/sh lesspipe)"
fi

# enable color support of ls and also add handy aliases
if [ -x /usr/bin/dircolors ]; then
    if test -r ~/.dircolors ; then
        eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
    fi
fi
